Skip to content
Browse files

Modified readme file and added a requirements file for Pootle virtual…

…env.
  • Loading branch information...
1 parent ad4a55e commit fc1577f417422afc1898be05eefa8fa5ecfbc196 @capooti capooti committed May 31, 2012
Showing with 8 additions and 4 deletions.
  1. +0 −3 REQUIREMENTS.txt
  2. +1 −1 pootle
  3. +7 −0 readme.rst
View
3 REQUIREMENTS.txt
@@ -58,9 +58,6 @@ south
# Use my fork of rpc4django to support login_required for methods
git+git://github.com/elpaso/rpc4django.git
-# For Pootle
-http://sourceforge.net/projects/translate/files/Translate%20Toolkit/1.9.0/translate-toolkit-1.9.0.tar.bz2/download
-lxml
2 pootle
@@ -1 +1 @@
-Subproject commit f95a2837ea826a1553af5c332f7ca3ac12aeda0c
+Subproject commit 246ad17ef518b24566ed05959b8b5f3f1bde1192
View
7 readme.rst
@@ -179,6 +179,13 @@ To obtain updates to the pootle submodule, the procedure is:
git pull
cd ..
+Create a virtual env, activate it and install requirements::
+
+ virtualenv --no-site-packages --python=python2.5 pootle_env
+ . pootle_env/bin/activate
+ sudo apt-get install libxml2-dev libxslt-dev
+ pip install -r REQUIREMENTS.txt
+
Then commit the fact that the submodule now tracks a different SHA1::
git commit -am "Updates pootle to latest version"

0 comments on commit fc1577f

Please sign in to comment.
Something went wrong with that request. Please try again.